<?php

namespace Booktics\Payment\Payment_Methods;

use Booktics\Payment\Contracts\Payment_Method_Interface;
use Booktics\Models\Order_Model;

abstract class Abstract_Payment_Method implements Payment_Method_Interface {

	protected $id;
	protected $name;
	private $order;

	/**
	 * Get the unique identifier for this payment method
	 *
	 * @return string
	 */
	public function get_id(): string {
		return $this->id;
	}

	/**
	 * Get the display name of the payment method
	 *
	 * @return string
	 */
	public function get_name(): string {
		return $this->name;
	}

    /**
     * Get Order
     *
     * @return Order_Model
     */
    protected function get_order() {
        return $this->order;
    }
}
